const punishmentMixin = {
    data () {
        return {
            illegal_stop_types: [
                {
                    k: 'OCCUPY',
                    v: '占用消防车通道'
                }
            ],
            vehicle_model: [
                {
                    k: 'LARGE_CAR',
                    v: '大型汽车',
                },
                {
                    k: 'SMALL_CAR',
                    v: '小型汽车',
                },
                {
                    k: 'ORDINARY_MOTORCYCLE',
                    v: '普通摩托车',
                },
                {
                    k: 'MOPED',
                    v: '轻便摩托车',
                },
                {
                    k: 'LOW_SPEED_CAR',
                    v: '低速车',
                },
                {
                    k: 'TRACTOR',
                    v: '拖拉机',
                },
                {
                    k: 'TRAILER',
                    v: '挂车',
                },
                {
                    k: 'COACH_CAR',
                    v: '教练汽车',
                },
                {
                    k: 'COACH_MOTORCYCLE',
                    v: '教练摩托车',
                },
                {
                    k: 'TEST_CAR',
                    v: '试验汽车',
                },
                {
                    k: 'TEST_MOTORCYCLE',
                    v: '试验摩托车',
                },
                {
                    k: 'POLICE_CAR',
                    v: '警用汽车',
                },
                {
                    k: 'POLICE_MOTORCYCLE',
                    v: '警用摩托',
                },
                {
                    k: 'AGRICULTURAL_MACHINERY',
                    v: '原农机号牌',
                },
                {
                    k: 'HONG_KONG_CAR',
                    v: '香港入出镜车',
                },
                {
                    k: 'MACAU__CAR',
                    v: '澳门入出境车',
                },
                {
                    k: 'LARGE_NEW_ENERGY_VEHICLE',
                    v: '大型新能源汽车',
                },
                {
                    k: 'SMALL_NEW_ENERGY_VEHICLE',
                    v: '小型新能源汽车',
                },
            ],
            processing_status: [
                {
                    k: 'MOVED',
                    v: '已挪车',
                },
                {
                    k: 'NOTICED',
                    v: '已通知',
                },
                {
                    k: 'PUNISHMENTED',
                    v: '已处罚',
                }
            ],
            move_result: [
                {
                    k: 'MOVED',
                    v: '规定时限内移离车辆，不进行处罚',
                },
                {
                    k: 'UN_MOVED',
                    v: '规定时限内未移离车辆，简易处罚并通知',
                }
            ],
        }
    },
    methods: {
        parseVehicleModel(k) {
            const res = this.vehicle_model.filter(item => k == item.k);
            if (res.length > 0) {
                return res[0].v;
            }
            return '';
        },
        parseStopType(k) {
            const res = this.illegal_stop_types.filter(item => k == item.k);
            if (res.length > 0) {
                return res[0].v;
            }
            return '';
        },
        parseStatus(k) {
            const res = this.processing_status.filter(item => k == item.k);
            if (res.length > 0) {
                return res[0].v;
            }
            return '';
        },
        parseMoveResult(k) {
            const res = this.move_result.filter(item => k == item.k);
            if (res.length > 0) {
                return res[0].v;
            }
            return '';
        },
    }
}

export default punishmentMixin;